petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFEType

String with the name of a PETSc finite element space

### Synopsis

    typedef const char *PetscFEType;
    #define PETSCFEBASIC     "basic"
    #define PETSCFEOPENCL    "opencl"
    #define PETSCFECOMPOSITE "composite"

Note: Currently, the classes are concerned with the implementation of element integration

### See Also

PetscFESetType(), PetscFE

### Level

beginner

### Location

src/dm/dt/fe/../../../../include/petscfe.h
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages